cudaLaunchParams(3)

NAME
cudaLaunchParams -

SYNOPSIS

  Data Fields

void ** args
dim3 blockDim
void * func
dim3 gridDim
size_t sharedMem
cudaStream_t stream

Detailed Description

CUDA launch parameters

Field Documentation

  void** cudaLaunchParams::args

Arguments

  dim3 cudaLaunchParams::blockDim

Block dimentions

  void* cudaLaunchParams::func

Device function symbol

  dim3 cudaLaunchParams::gridDim

Grid dimentions

  size_t cudaLaunchParams::sharedMem

Shared memory

  cudaStream_t cudaLaunchParams::stream

Stream identifier

Author

Generated automatically by Doxygen from the source code.